Bug 845114 - possible to miss information of missing frames during backtrace and statedump
possible to miss information of missing frames during backtrace and statedump
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 16:05 EDT by Amar Tumballi
Modified: 2013-12-18 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-08-01 16:05:31 EDT
Description of problem:
there is a possibility of missing the frame information if the frames are created outside the 'fop' context in statedump and backtrace log. 

have a patch ready to solve this... more detail with the patch
Comment 1 Amar Tumballi 2012-08-01 23:11:23 EDT
http://review.gluster.com/3768 - print all missing frames has been merged to upstream.

Note You need to log in before you can comment on or make changes to this bug.